<?php
/**
* @version		3.0.0
* @package		JomLand TicketCenter
* @copyright	Copyright (C) 2010 JomLand.com. All rights reserved.
* @license		GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/
defined('_JEXEC') or die();

class JLTicketCenterControllerCredit_error extends JLTicketCenterController
{
	
	
	
	
	function checkout_pross(){

		JRequest::checkToken() or jexit('Invalid Token');
		
		$post  = JRequest::get('POST');
		
		$session = JFactory::getSession();
		$data = $session->get('jlticketcenter_credit');
		
		$data['creditCardType']  = $post['creditCardType'];
		$data['creditCardNumber']= $post['creditCardNumber'];
		$data['expDateMonth'] 	 = $post['expDateMonth'];
		$data['expDateYear'] 	 = $post['expDateYear'];
		$data['cvv2Number'] 	 = $post['cvv2Number'];
  
		
		// Check Data
		
		// Write Data
		// 1. complete user detial
		JLoader::import('components.com_jlticketcenter.models.checkout',JPATH_ROOT);
		$model = JModel::getInstance('Checkout', 'JLTicketCenterModel');
		
		$model->paymentPross($data);
		
		die;
		$url = JRoute::_('index.php?option=com_jlticketcenter&view=checkout&layout=complete');
		
		$this->setRedirect($url);
	}// EOF checkout_pross
	
}//EOC